Skip to main content
POST
Create table rows

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string<uuid>
required

Body

application/json

Request body for the row create — how many empty rows, and where.

Without an anchor, rows are appended to the end of the table. With one, exactly one row is inserted directly above or below the anchor row.

after_record_id
string<uuid> | null

Insert a single row directly below this row.

before_record_id
string<uuid> | null

Insert a single row directly above this row.

count
integer
default:1

Number of empty rows to append to the table.

Required range: 1 <= x <= 1000

Response

Successful Response

The rows appended by a create, in creation order.

count
integer
required
rows
TableRowSchema · object[]
required